DuplicateRealmException (classworlds 1.0-rc1 API)
Keywords: com.werken.classworlds.DuplicateRealmException,DuplicateRealmException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.werken.classworlds
Class DuplicateRealmException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.werken.classworlds.ClassWorldException
                        |
                        +--com.werken.classworlds.DuplicateRealmException

All Implemented Interfaces:
  java.io.Serializable

public class DuplicateRealmException
extends ClassWorldException

Indicates an attempt to add a `ClassRealm` to a `ClassWorld` with a duplicate id.

Version:
  $Id: DuplicateRealmException.java,v 1.1 2002/09/23 18:48:55 bob Exp $
Author:
  bob mcwhirter
See Also:
  Serialized Form

Constructor Summary
`DuplicateRealmException(ClassWorld world, java.lang.String id)` Construct.

Method Summary
`java.lang.String` | `getId()` Retrieve the duplicate realm id.

Methods inherited from class com.werken.classworlds.ClassWorldException
`getWorld`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DuplicateRealmException

    public DuplicateRealmException(ClassWorld world,
                                   java.lang.String id)

  Construct.

Parameters:
  `world` - The world.
  `id` - The realm id.

Method Detail

### getId

    public java.lang.String getId()

  Retrieve the duplicate realm id.

  Returns:
    The id.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 The Werken Company. All Rights Reserved.